# Register Domain

```
POST 
/apple-pay/domains
```

Registers a domain with Apple Pay.

This endpoint allows you to register your website domain with Apple Pay, which is required before you can accept Apple Pay payments on your website. The domain must be accessible via HTTPS and have a valid SSL certificate.

Before registering, you must download this [domain association file](https://assets.monei.com/apple-pay/apple-developer-merchantid-domain-association/) and host it at `/.well-known/apple-developer-merchantid-domain-association` on your site.

For example, if you're registering `example.com`, make that file available at `https://example.com/.well-known/apple-developer-merchantid-domain-association`.

After registration, Apple will verify your domain. Once verified, you can display Apple Pay buttons and process Apple Pay payments on your website.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200
* 400
* 401
* 404
* 422
* 500
* 503

A successful response

The request is incorrect or could not be processed

Unauthorized error. Please check your auth credentials

The specified resource was not found

The request was well-formed but could not be processed due to semantic errors

Unexpected server error

The service is temporarily unavailable
